[youtubei.js](../../../README.md) / [Misc](../README.md) / RendererContext

# Class: RendererContext

## Constructors

### new RendererContext()

> **new RendererContext**(`data`?): [`RendererContext`](RendererContext.md)

#### Parameters

• **data?**: [`RawNode`](../../APIResponseTypes/type-aliases/RawNode.md)

#### Returns

[`RendererContext`](RendererContext.md)

#### Defined in

[src/parser/classes/misc/RendererContext.ts:16](https://github.com/LuanRT/YouTube.js/blob/e54e499ff553dab51e6d9d1aebc090b50fec29ba/src/parser/classes/misc/RendererContext.ts#L16)

## Properties

### accessibility\_context

> **accessibility\_context**: `AccessibilityContext`

#### Defined in

[src/parser/classes/misc/RendererContext.ts:14](https://github.com/LuanRT/YouTube.js/blob/e54e499ff553dab51e6d9d1aebc090b50fec29ba/src/parser/classes/misc/RendererContext.ts#L14)

***

### command\_context

> **command\_context**: `CommandContext`

#### Defined in

[src/parser/classes/misc/RendererContext.ts:13](https://github.com/LuanRT/YouTube.js/blob/e54e499ff553dab51e6d9d1aebc090b50fec29ba/src/parser/classes/misc/RendererContext.ts#L13)
